Changeset 324
- Timestamp:
- Mar 14, 2013, 2:41:13 PM (12 years ago)
- Location:
- trunk/softs/tests_ccvcache_v4/test_interrupt_delayslot
- Files:
-
- 3 edited
Legend:
- Unmodified
- Added
- Removed
-
trunk/softs/tests_ccvcache_v4/test_interrupt_delayslot/Makefile
r232 r324 1 1 include ../Makefile.inc 2 CFLAGS+= -DINTERRUPT_DELAY=${INTERRUPT_DELAY} -
trunk/softs/tests_ccvcache_v4/test_interrupt_delayslot/run
r232 r324 18 18 } 19 19 20 make --quiet || exit 1 21 ${SIMUL} > run.out 2>&1 22 if [ $? -eq 0 ]; then 23 if check_output; then 24 echo "test passsed"; 25 make --quiet clean 26 exit 0; 20 21 for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70; do 22 make clean --quiet 23 make INTERRUPT_DELAY=$i --quiet || exit 1 24 ${SIMUL} > run.out 2>&1 25 if [ $? -eq 0 ]; then 26 if check_output; then 27 echo "test $i passed"; 28 make --quiet clean 29 exit 0; 30 fi 31 else 32 echo "test FAILED" 33 exit 1 27 34 fi 28 echo "test FAILED" 29 exit 1 30 fi 35 done 31 36 echo "test FAILED" 32 exit 133 -
trunk/softs/tests_ccvcache_v4/test_interrupt_delayslot/test.S
r232 r324 28 28 li s0, MAGIC2 29 29 /* 30 * interrupt in 42cycles.30 * interrupt in INTERRUPT_DELAY cycles. 31 31 * Without cache this takes us to the delay slot of the jump. 32 32 */ 33 li a0, 42 33 34 li a0, INTERRUPT_DELAY 35 //li a0, 38 34 36 sw a0, XICU_PTI_PER(0)(t0) 35 37 /* clear pending interrupt */
Note: See TracChangeset
for help on using the changeset viewer.